package mapped;

import java.util.Comparator;
import net.runelite.mapping.ObfuscatedName;
import net.runelite.mapping.ObfuscatedSignature;
import net.runelite.rs.api.RSUserComparator2;

@ObfuscatedName("ud")
public class UserComparator2 implements Comparator, RSUserComparator2 {
   @ObfuscatedName("at")
   final boolean reversed;

   public UserComparator2(boolean var1) {
      this.reversed = var1;
   }

   @ObfuscatedName("at")
   @ObfuscatedSignature(
      descriptor = "(Lrf;Lrf;B)I",
      garbageValue = "1"
   )
   int method9596(User var1, User var2) {
      return this.reversed?var1.method8171().method9958(var2.method8171()):var2.method8171().method9958(var1.method8171());
   }

   public int compare(Object var1, Object var2) {
      return this.method9596((User)var1, (User)var2);
   }

   public boolean equals(Object var1) {
      return super.equals(var1);
   }
}
